Org settings, dashboards & reporting
Save Fireblocks Asset Id
Clears or validates against Fireblocks and stores the org's default Fireblocks asset ID and legacy ID.
POSThttps://api.toku.com/stablecoin-payroll/save-fireblocks-asset-id
Not available to API keys yet. It will need integrations:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/save-fireblocks-asset-id' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"fireblocksAssetId": "string"
}'200 response
{
"organizationFireblocksIntegrationID": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>requiredfireblocksAssetIdstring | nullrequiredAllowed: at least 1 characters
Response
200Successful response
organizationFireblocksIntegrationIDstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits